package com.ruoyi.system.domain.projectV2;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 项目施工进度对象 xm_construction_rate
 * 
 * @author boman
 * @date 2023-02-23
 */
public class XmConstructionRate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id* */
    private Long id;

    /** 项目id* */
    @Excel(name = "项目id*")
    private Long xmId;

    /** 项目编号 */
    @Excel(name = "项目编号")
    private String xmbh;

    /**
     * 描述
     */
    private String jdDescribe;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String xmmc;

    /** 是否删除(0未删除、1已删除)* */
    @Excel(name = "是否删除(0未删除、1已删除)*")
    private Long isDel;

    /** 进度(数据字典：奠基、基础工程出土面、主体工程完工、土建竣工)* */
    @Excel(name = "进度(数据字典：奠基、基础工程出土面、主体工程完工、土建竣工)*")
    private String rateType;

    /** 照片* */
    @Excel(name = "照片*")
    private String photo;

    public String getJdDescribe() {
        return jdDescribe;
    }

    public void setJdDescribe(String jdDescribe) {
        this.jdDescribe = jdDescribe;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setXmId(Long xmId) 
    {
        this.xmId = xmId;
    }

    public Long getXmId() 
    {
        return xmId;
    }
    public void setXmbh(String xmbh) 
    {
        this.xmbh = xmbh;
    }

    public String getXmbh() 
    {
        return xmbh;
    }
    public void setXmmc(String xmmc) 
    {
        this.xmmc = xmmc;
    }

    public String getXmmc() 
    {
        return xmmc;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }
    public void setRateType(String rateType) 
    {
        this.rateType = rateType;
    }

    public String getRateType() 
    {
        return rateType;
    }
    public void setPhoto(String photo) 
    {
        this.photo = photo;
    }

    public String getPhoto() 
    {
        return photo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("xmId", getXmId())
            .append("xmbh", getXmbh())
            .append("xmmc", getXmmc())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDel", getIsDel())
            .append("rateType", getRateType())
            .append("photo", getPhoto())
            .append("jdDescribe", getJdDescribe())
            .toString();
    }
}
